package com.ruoyi.basic.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.RestResponse;
import com.ruoyi.basic.domain.SysAppIndex;
import com.ruoyi.basic.domain.YjStore;

import java.util.List;

/**
 * <p>
 * 商户表 服务类
 * </p>
 *
 * @author xn
 * @since 2022-09-28
 */
public interface YjStoreService extends IService<YjStore> {
    RestResponse storesTree();
    RestResponse changeStore(Long visitStoreId);
    List<YjStore> getStoreListByTenantId(String tenantId);

    YjStore getOne(Long id);

    RestResponse getIndex();
}
